export default {
  editContent(store, data) {
    if (!store.state.elements[data.id]) {
      store.commit("addElement", data);
    }

    store.commit("editContent", data);
    store.commit("setCurrentlyEditableContent", null);
    store.commit("setContentTypesOverlayVisibility", false);
  },
  showContentTypesOverlay(store, data) {
    store.commit("setCurrentlyEditableContent", data);
    store.commit("setContentTypesOverlayVisibility", true);
  },
  closeElementsOverlay(store) {
    store.commit("setCurrentlyEditableContent", null);
    store.commit("setContentTypesOverlayVisibility", false);
  }
};
